DeleteFitPoint Example |
Using Programming Languages other than VBA
Sub Example_DeleteFitPoint() ' This example creates a spline object in model space. ' It then deletes a fit point from the spline. ' Create the spline Dim splineObj As AcadSpline Dim startTan(0 To 2) As Double Dim endTan(0 To 2) As Double Dim fitPoints(0 To 8) As Double startTan(0) = 0.5: startTan(1) = 0.5: startTan(2) = 0 endTan(0) = 0.5: endTan(1) = 0.5: endTan(2) = 0 fitPoints(0) = 1: fitPoints(1) = 1: fitPoints(2) = 0 fitPoints(3) = 5: fitPoints(4) = 5: fitPoints(5) = 0 fitPoints(6) = 10: fitPoints(7) = 0: fitPoints(8) = 0 Set splineObj = ThisDrawing.ModelSpace.AddSpline(fitPoints, startTan, endTan) ZoomAll MsgBox "Delete the first fit point", , "DeleteFitPoint Example" ' Delete the first fit point in the spline splineObj.DeleteFitPoint 0 ThisDrawing.Regen True MsgBox "A fit point has been deleted at Index:0", , "DeleteFitPoint Example" End Sub
Comments? |